Subject: [Gen-art] Review of draft-holmberg-dispatch-mcptt-rp-namespace-03

From: Fernando Gont <[email-masked]>
Date: Fri, 16 Dec 2016 13:46:34 -0800

Reviewer: Fernando Gont
Review result: Ready with Nits

** Technical **

* Section 3, pages 3-4:
>    Intended algorithm for mcpttq is queuing.
> 
>    New Warning code: No.
> 
>    New SIP response code: No.

Is this kind of thing really needed/required in the registry?

** Editorial **

* Section 1, page 2:
>    The third generation partnership project (3GPP)

May be you should capitalize these? (i.e., "Third Generation...")

* Section 1, page 2:
> In addition to this a commercial PTT
>    service for non-professional use (e.g., groups of people on
holiday)

Please insert a comma after "this".

* Section 1, page 3:
> MCPTT data transfer currently under development can
>    benefit from a queueing mechanism.

"data transfer..." protocols?

* Section 2, page 3:
> The use of this namespace outside such network is
>    undefined.

s/network/networks/

* Section 5, page 5:
> 5.  IANA Considerations
> 
>    Abiding by the rules established within [RFC4412] and [RFC7134],
this
>    is an Informative RFC registering two new namespaces, their
>    associated priority-values, and intended algorithms.

s/registering/creating/ ?

---

From: Fernando Gont <[email-masked]>
Date: Fri, 16 Dec 2016 18:48:59 -0300

Folks,

Apologies: wasn't sure whether the tool would insert the "boilerplate",
so... here it is:

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed by the
IESG for the IETF Chair.  Please treat these comments just like any
other last call comments.

For more information, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Here's my review:

On 12/16/2016 06:46 PM, Fernando Gont wrote:
>>    New Warning cde: No.
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art
> 

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Fernando Gont <[email-masked]>
Date: Fri, 16 Dec 2016 18:54:22 -0300

Folks,

I'm almost sure I saw a discussion of this somewhere, but... anyway:
would it be possible to have the review tool automatically insert the
gen-art "boiler-plate"?  Besides, would it be possible to preview what's
going to be sent by email (and e.g., allow for confirmation)?

Thanks!

Best regards,
Fernando

-------- Forwarded Message --------
Subject: Re: [Gen-art] Review of
draft-holmberg-dispatch-mcptt-rp-namespace-03
Date: Fri, 16 Dec 2016 18:48:59 -0300
From: Fernando Gont <[email-masked]>
To: [email-masked]
CC: [email-masked], [email-masked]

Folks,

Here's my review:

---

From: "A. Jean Mahoney" <[email-masked]>
Date: Fri, 16 Dec 2016 16:41:30 -0600

Hi Fernando,

There's a ticket open for adding the template:

https://trac.tools.ietf.org/tools/ietfdb/ticket/2075

As for the preview, everything that's provided in the "Review Content" 
field goes into the body of the message. Datatracker doesn't add 
anything to it. When the template is added, it will be displayed in the 
"Review Content" field.

Thanks!

Jean

---

From: Jörgen Axell <[email-masked]>
Date: Tue, 20 Dec 2016 19:39:28 +0000

On the technical comment below, section 12.5 in RFC4412 has those parameters.

For the MCPTT data transfer, I think it should state "For the MCPTT data transfer service currently..."

The rest are more or less trivial editorials.

Regards,
Jörgen

-----Original Message-----
From: Fernando Gont [mailto:[email-masked]] 
Sent: 16 December 2016 22:49
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Gen-art] Review of draft-holmberg-dispatch-mcptt-rp-namespace-03

Folks,

Apologies: wasn't sure whether the tool would insert the "boilerplate", so... here it is:

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

For more information, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Here's my review: